// HelloWorldClient.java
package helloc;
import hello.HelloWorld.HelloWorldPortType;
import hello.HelloWorld.HelloWorldServiceGridLocator;
import java.net.URL;

public class HelloWorldClient {
  
  // Static
  public static void main(String[] args) {
    //
    try {
      // Use command line args
      URL GSH = new java.net.URL(args[0]);
      String name="Your Highness"; // args[1];
      // Get a reference to the Service instance
      HelloWorldServiceGridLocator helloworldLocator = new HelloWorldServiceGridLocator();
      HelloWorldPortType helloworld = helloworldLocator.getHelloWorldService(GSH);
      // Call remote method
      String result = helloworld.sayHello(name);
      System.out.println (result);
    } catch (Exception e) {
      System.out.println("Exception:\n");
      e.printStackTrace();
    }
  } // main
}

