// HelloWorldImpl.java
//
package hello;
import hello.HelloWorld.HelloWorldPortType;
import java.rmi.RemoteException;
import org.globus.ogsa.impl.ogsi.GridServiceImpl;
//
public class HelloWorldImpl extends GridServiceImpl implements HelloWorldPortType {
  private int n;  // to demo a state
  
  // Constructor
  public HelloWorldImpl() {
    super("a HelloWorld service");
  }

  // Interface implementation
  public String sayHello(String name) throws RemoteException {
    n++;
    return "Hello "+name+"! (for the "+n+" time)";
  }
}

